---
title: XRSession.end()
slug: Web/API/XRSession/end
tags:
  - API
  - AR
  - Augmented Reality
  - Experimental
  - Method
  - Reference
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XRSession
  - end()
---
<div>{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p><span class="seoSummary">The <code><strong>end()</strong></code> method shuts down the {{domxref("XRSession")}} on which it's called, returning a promise which resolves once the session has fully shut down.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>xrSession</em>.end();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("promise")}} that resolves without a value after any platform-specific steps related to shutting down the session have completed. You can use the promise to do things like update UI elements to reflect the shut down connection, trigger application shut down, or whatever else you might need to do.</p>

<h2 id="Example">Example</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsession-end","XRSession.end")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSession.end")}}</div>
